RDB 2: riegl::rdb::pointcloud::Transaction Class Reference

| RDB 2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
riegl::rdb::pointcloud::Transaction Class Reference

Point cloud transaction. More...

`#include <transaction.hpp>`

## Public Types
typedef std::uint32_t | ID

## Public Member Functions
| Transaction ()
| Transaction (riegl::rdb::Context &context)

## Public Attributes
ID | id
| transaction number (TAN) More...
std::string | rdb
| RDB library version string. More...
std::string | title
| short description, e.g. "Import" More...
std::string | agent
| software name, e.g. "rdbimport v1.0" More...
std::string | comments
| e.g. process details for humans More...
std::string | settings
| e.g. process settings for software More...
std::string | start
| start time as "yyyy-mm-dd hh:mm:ss.zzz", e.g. "2015-10-14 13:48:35.801" (local time) More...
std::string | stop
| stop time as "yyyy-mm-dd hh:mm:ss.zzz", e.g. "2015-10-14 13:48:35.801" (local time) More...

## Detailed Description

Point cloud transaction.

See Also
  riegl::rdb::pointcloud::Transactions

Definition at line 57 of file transaction.hpp.

## Member Typedef Documentation

typedef std::uint32_t riegl::rdb::pointcloud::Transaction::ID

Definition at line 60 of file transaction.hpp.

## Constructor & Destructor Documentation

riegl::rdb::pointcloud::Transaction::Transaction | ( |  | ) |

riegl::rdb::pointcloud::Transaction::Transaction | ( | riegl::rdb::Context & | context | ) |
| explicit

## Member Data Documentation

std::string riegl::rdb::pointcloud::Transaction::agent

software name, e.g. "rdbimport v1.0"

Definition at line 65 of file transaction.hpp.

std::string riegl::rdb::pointcloud::Transaction::comments

e.g. process details for humans

Definition at line 66 of file transaction.hpp.

ID riegl::rdb::pointcloud::Transaction::id

transaction number (TAN)

Definition at line 62 of file transaction.hpp.

std::string riegl::rdb::pointcloud::Transaction::rdb

RDB library version string.

Definition at line 63 of file transaction.hpp.

std::string riegl::rdb::pointcloud::Transaction::settings

e.g. process settings for software

Definition at line 67 of file transaction.hpp.

std::string riegl::rdb::pointcloud::Transaction::start

start time as "yyyy-mm-dd hh:mm:ss.zzz", e.g. "2015-10-14 13:48:35.801" (local time)

Definition at line 68 of file transaction.hpp.

std::string riegl::rdb::pointcloud::Transaction::stop

stop time as "yyyy-mm-dd hh:mm:ss.zzz", e.g. "2015-10-14 13:48:35.801" (local time)

Definition at line 69 of file transaction.hpp.

std::string riegl::rdb::pointcloud::Transaction::title

short description, e.g. "Import"

Definition at line 64 of file transaction.hpp.

The documentation for this class was generated from the following file:

- riegl/rdb/pointcloud/transaction.hpp